<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yifu.cloud.plus.v1.yifu.process.mapper.TNodeConfigMapper">
    <resultMap id="tNodeConfigMap" type="com.yifu.cloud.plus.v1.yifu.process.entity.TNodeConfig">
        <id property="id" column="ID"/>
        <result property="allowWithdraw" column="ALLOW_WITHDRAW"/>
        <result property="allowBacktrack" column="ALLOW_BACKTRACK"/>
        <result property="allowDealRemind" column="ALLOW_DEAL_REMIND"/>
        <result property="nodeId" column="NODE_ID"/>
    </resultMap>
    <sql id="Base_Column_List">
             a.ID,
                  a.ALLOW_WITHDRAW,
                  a.ALLOW_BACKTRACK,
                  a.ALLOW_DEAL_REMIND,
                  a.NODE_ID
         </sql>
    <sql id="tNodeConfig_where">
        <if test="tNodeConfig != null">
            <if test="tNodeConfig.id != null and tNodeConfig.id.trim() != ''">
                AND a.ID = #{tNodeConfig.id}
            </if>
            <if test="tNodeConfig.allowWithdraw != null and tNodeConfig.allowWithdraw.trim() != ''">
                AND a.ALLOW_WITHDRAW = #{tNodeConfig.allowWithdraw}
            </if>
            <if test="tNodeConfig.allowBacktrack != null and tNodeConfig.allowBacktrack.trim() != ''">
                AND a.ALLOW_BACKTRACK = #{tNodeConfig.allowBacktrack}
            </if>
            <if test="tNodeConfig.allowDealRemind != null and tNodeConfig.allowDealRemind.trim() != ''">
                AND a.ALLOW_DEAL_REMIND = #{tNodeConfig.allowDealRemind}
            </if>
            <if test="tNodeConfig.nodeId != null and tNodeConfig.nodeId.trim() != ''">
                AND a.NODE_ID = #{tNodeConfig.nodeId}
            </if>
        </if>
    </sql>
    <!--tNodeConfig简单分页查询-->
    <select id="getTNodeConfigPage" resultMap="tNodeConfigMap">
        SELECT
        <include refid="Base_Column_List"/>
        FROM t_node_config a
        <where>
            1=1
            <include refid="tNodeConfig_where"/>
        </where>
    </select>
</mapper>
